package com.bocloud.ims.entity.resource.hmc;


import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;

@Deprecated
@Table("hmc_virtual_network_bridge")
public class HmcVirtualNetworkBridge extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id;

    @Column("uuid")
    private String uuid;

    @Column("server_id")
    private Long serverId;

    @Column("switch_id")
    private Long switchId;

    @IgnoreAll
    private String switchName;

    @Column("port_vlan_id")
    private Integer PortVlanId;

    @Column("tagged_vlan_ids")
    private Integer TaggedVlanIds;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public Long getServerId() {
        return serverId;
    }

    public void setServerId(Long serverId) {
        this.serverId = serverId;
    }

    public Long getSwitchId() {
        return switchId;
    }

    public void setSwitchId(Long switchId) {
        this.switchId = switchId;
    }

    public String getSwitchName() {
        return switchName;
    }

    public void setSwitchName(String switchName) {
        this.switchName = switchName;
    }

    public Integer getPortVlanId() {
        return PortVlanId;
    }

    public void setPortVlanId(Integer portVlanId) {
        PortVlanId = portVlanId;
    }

    public Integer getTaggedVlanIds() {
        return TaggedVlanIds;
    }

    public void setTaggedVlanIds(Integer taggedVlanIds) {
        TaggedVlanIds = taggedVlanIds;
    }


    public void preSave(Long creatorId, Long menderId, Long serverId) {
        this.setCreatorId(creatorId);
        this.setMenderId(menderId);
        this.setServerId(serverId);
    }
}
